org.optaplanner.core.config.heuristic.selector.move.generic

## Class PillarChangeMoveSelectorConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<C>
    - - org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig<T>
      - - org.optaplanner.core.config.heuristic.selector.move.generic.PillarChangeMoveSelectorConfig

-     public class PillarChangeMoveSelectorConfig
      extends MoveSelectorConfig<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PillarSelectorConfig` | `pillarSelectorConfig`
    `protected Class<? extends Comparator>` | `subPillarSequenceComparatorClass`
    `protected SubPillarType` | `subPillarType`

    - ### Fields inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `cacheType, filterClassList, probabilityWeightFactoryClass, selectedCountLimit, selectionOrder, sorterClass, sorterComparatorClass, sorterOrder, sorterWeightFactoryClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PillarChangeMoveSelectorConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MoveSelector` | `buildBaseMoveSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, boolean randomSelection)`
    `PillarSelectorConfig` | `getPillarSelectorConfig()`
    `Class<? extends Comparator>` | `getSubPillarSequenceComparatorClass()`
    `SubPillarType` | `getSubPillarType()`
    `ValueSelectorConfig` | `getValueSelectorConfig()`
    `void` | `inherit(PillarChangeMoveSelectorConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setPillarSelectorConfig(PillarSelectorConfig pillarSelectorConfig)`
    `void` | `setSubPillarSequenceComparatorClass(Class<? extends Comparator> subPillarSequenceComparatorClass)`
    `void` | `setSubPillarType(SubPillarType subPillarType)`
    `void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.move.MoveSelectorConfig

      `buildMoveSelector, buildUnfoldedMoveSelectorConfig, determineBaseRandomSelection, extractLeafMoveSelectorConfigsIntoList, getCacheType, getFilterClassList, getFixedProbabilityWeight, getProbabilityWeightFactoryClass, getSelectedCountLimit, getSelectionOrder, getSorterClass, getSorterComparatorClass, getSorterOrder, getSorterWeightFactoryClass, inheritFolded, isBaseInherentlyCached, setCacheType, setFilterClassList, setFixedProbabilityWeight, setProbabilityWeightFactoryClass, setSelectedCountLimit, setSelectionOrder, setSorterClass, setSorterComparatorClass, setSorterOrder, setSorterWeightFactoryClass, withCacheType, withFilterClassList, withFixedProbabilityWeight, withProbabilityWeightFactoryClass, withSelectedCountLimit, withSelectionOrder, withSorterClass, withSorterComparatorClass, withSorterOrder, withSorterWeightFactoryClass`

    - ### Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig

      `validateCacheTypeVersusSelectionOrder`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### subPillarType

          protected SubPillarType subPillarType

    - #### subPillarSequenceComparatorClass

          protected Class<? extends Comparator> subPillarSequenceComparatorClass

    - #### pillarSelectorConfig

          protected PillarSelectorConfig pillarSelectorConfig

  - ### Constructor Detail

    - #### PillarChangeMoveSelectorConfig

          public PillarChangeMoveSelectorConfig()

  - ### Method Detail

    - #### getValueSelectorConfig

          public ValueSelectorConfig getValueSelectorConfig()

    - #### setValueSelectorConfig

          public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

    - #### buildBaseMoveSelector

          public MoveSelector buildBaseMoveSelector(HeuristicConfigPolicy configPolicy,
                                                    SelectionCacheType minimumCacheType,
                                                    boolean randomSelection)

      Specified by:
        `buildBaseMoveSelector` in class `MoveSelectorConfig<PillarChangeMoveSelectorConfig>`
      Parameters:
        `configPolicy` - never null
        `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
        `randomSelection` - true is equivalent to `SelectionOrder.RANDOM`, false is equivalent to `SelectionOrder.ORIGINAL`
      Returns:
        never null

    - #### inherit

          public void inherit(PillarChangeMoveSelectorConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Parameters:
        `inheritedConfig` - never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<PillarChangeMoveSelectorConfig>`

    - #### getSubPillarType

          public SubPillarType getSubPillarType()

    - #### setSubPillarType

          public void setSubPillarType(SubPillarType subPillarType)

    - #### getSubPillarSequenceComparatorClass

          public Class<? extends Comparator> getSubPillarSequenceComparatorClass()

    - #### setSubPillarSequenceComparatorClass

          public void setSubPillarSequenceComparatorClass(Class<? extends Comparator> subPillarSequenceComparatorClass)

    - #### getPillarSelectorConfig

          public PillarSelectorConfig getPillarSelectorConfig()

    - #### setPillarSelectorConfig

          public void setPillarSelectorConfig(PillarSelectorConfig pillarSelectorConfig)

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.